How do I judge install jetpak3.0 or 3.1 in Tx1?

How do I judge install jetpak3.0 or 3.1 in Tx1?

R28.1 is the most recent production release of L4T, and JetPack3.1 makes this available. Do you want to use the most recent production release? This is also when 4.x kernels were used for both TX1 and TX2.

how to judge? i want to kown this device installed JetPack3.1 or JetPack3.0 ??

have some commond or config file to judge?

hi,zbit,you could identify the L4T verison with follew command:

head -n 1 /etc/nv_tegra_release

l4t with 28.1 would be Jetpack 3.1
below 28 would be Jetpack 3.0

root@tegra-ubuntu:/home/ubuntu/data/avstream# head -n 1 /etc/nv_tegra_release

R27 (release), REVISION: 1.0, GCID: 8566447, BOARD: t186ref, EABI: aarch64, DATE: Thu Mar 2 05:14:54 UTC 2017

This would probably be from JetPack3.0. I believe newer JetPacks can install older L4T, but unless you purposely did this you can conclude the flash was via JetPack3.0.

thank you very much @ linuxdev